Subject: Re: HTML better for small PDAs

From: Vernon Schryver <[email-masked]>
Date: Mon, 26 Feb 2001 16:15:27 -0700 (MST)

> From: "Marshall T. Rose" <[email-masked]>

> vern - i hope we can agree that i don't fall under the categorization of
>
> > those who have not yet found an opportunity to Contribute To The Standards
> > Process
>
> if we disagree on this, then discard this message.

No, you're one of those others who've written tools that might support
a transition to XML and whose silence I found relevant.

> i will tell you why i think it is a good idea that the I-D repository accept
> XML versions of drafts, whilst retaining the .txt versions as the "official"
> ones (assuming that the term "official internet-draft" isn't oxymoronic).
> ...

> so, i suggest a simple experiment: let the I-D repository store alternative
> versions of drafts in addition to the .txt versions. try this out for 9
> months and see if people find it useful or not. is this really asking so
> much?

Before the experiment of XML in parallel with .txt for RFC's, please
consider this one.  Let the .txt file continue to be the only version in
the ftp.isi.edu/in-notes directory, but allow the .txt version to contain
a "pointer to an XML version that was used during the preparation of the
.txt version. "  (weasel were words carefully chosen to allow the XML
version to be anywhere and the pointer to go stale.)

There is a use for XML or nroff versions of I-D's (but not RFC's) that
has not been mentioned much (maybe first in your mention of "ASCII memos
can't be reformatted").  It saves lots of work to exchange editorial changes
as deltas to a mark up language version.  Also, if the mark up version of
some drafts had been public, a very bitter war or two in a working group
or two would have been short circuited, or at least fought on the real
grounds instead of stuff about theft of nroff under false pretenses.

Perhaps in other words, allow XML in ftp.isi.edu:internet-drafts but
not in ftp.isi.edu:in-notes

The danger is the slippery slope leading to the full panoply of
Microsoft document forms.  Within weeks, there'd be demands that since
XML is allowed for drafts, full MSWord with animations must be
allowed--no--required for RFCs and who needs the crufty old ASCII?
(This would not be Microsoft's fault, at least not directly.)

Vernon Schryver    [email-masked]

---

From: "Marshall T. Rose" <[email-masked]>
Date: Mon, 26 Feb 2001 18:30:56 -0800

> as deltas to a mark up language version.

i agree. this certainly is of value to the folks who author I-Ds.

> not in ftp.isi.edu:in-notes

i agree. i'm not asking that we publish RFCs in any new formats. i'm
suggesting that we experiment for 9 months in the I-D area.

/mtr

---

From: Michael Mealling <[email-masked]>
Date: Mon, 26 Feb 2001 22:02:50 -0500

> suggesting that we experiment for 9 months in the I-D area.

One of the absolute best reasons to use the XML stuff (beyond the many
other stated reasons) is the fact that Marshall has been graciously
maintaining a bibliography on xml.resource.org that makes building
your references section _much_ easier. If we do experiment with
XML in the internet-drafts repository I really do think we should
either migrate Marshall's bibliography or help him maintain it.

The other thing that would be nice is a way of getting all of the
authors current contact info in one place and up to date. 

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 27 Feb 2001 13:58:52 +0100

>suggesting that we experiment for 9 months in the I-D area.
A slight modification (I changed the subject line to concentrate on the 
constructive thread out of this):

Let's say that we accept I-Ds in ASCII format.
Let's also say that for each I-D, the secretariat will accept up to 1 file 
containing "source", where "source" can be NROFF macros, XML (Marshall's 
DTD) text or Word documents.

To be stored in the "internet-drafts/source" subdirectory.
(for completeness, there should also be a note saying how to produce the 
ASCII from the source; my Word stuff differs from the official Word stuff - 
but this makes the use/submission more complex)

After 9 months, we can ask people to evaluate:

- Whether they used "source" at all
- What formats they found that were useful
- What formats they found that caused trouble

This thread should go somewhere else....

--
Harald Tveit Alvestrand, [email-masked]
+47 41 44 29 94
Personal email: [email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Tue, 27 Feb 2001 11:30:20 -0500

>>>>> "Harald" == Harald Alvestrand <[email-masked]> writes:
    Harald> Let's also say that for each I-D, the secretariat will accept up to 1 file 
    Harald> containing "source", where "source" can be NROFF macros, XML (Marshall's 
    Harald> DTD) text or Word documents.

  As long as every document in the "source" area has an ID, RFC or publically 
available web page that explains the format of that document, I think that
this idea is great.

] Train travel features AC outlets with no take-off restrictions|gigabit is no[
]   Michael Richardson, Solidum Systems   Oh where, oh where has|problem  with[
]     [email-masked]   www.solidum.com   the little fishy gone?|PAX.port 1100[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [